Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Interface TransactionResponseConstants

All Known Implementing Classes:
  TransactionResponse

Deprecated

    @Deprecated
    public interface TransactionResponseConstants

Field Summary
`static String` | `ACTION` Deprecated
`static String` | `AUTHORIZATION_FAILED` Deprecated
`static int` | `AUTHORIZED` Deprecated
`static String` | `CAPTURE_ERROR` Deprecated
`static String` | `CONFIGURATION_ERROR` Deprecated
`static String` | `CREDITCARD_INVALID` Deprecated
`static String` | `EXCEPTION` Deprecated
`static int` | `FAILURE` Deprecated
`static String` | `GENERAL_SERVICE_ERROR` Deprecated
`static int` | `MARKEDFORSETTLE` Deprecated
`static int` | `NOSTATUS` Deprecated
`static String` | `OK` Deprecated
`static int` | `PENDINGSETTLE` Deprecated
`static int` | `REJECTED` Deprecated
`static int` | `RETRY` Deprecated
`static String` | `ROLLBACK` Deprecated
`static String` | `SERVICE_UNAVAILABLE_ERROR` Deprecated
`static String` | `SETTLE_ERROR` Deprecated
`static int` | `SETTLED` Deprecated
`static int` | `SETTLEFAILED` Deprecated
`static String` | `SYSTEM_ERROR` Deprecated

Field Detail

### NOSTATUS

    static final int NOSTATUS

  Deprecated
  See Also
    Constants Summary

### AUTHORIZED

    static final int AUTHORIZED

  Deprecated
  See Also
    Constants Summary

### SETTLEFAILED

    static final int SETTLEFAILED

  Deprecated
  See Also
    Constants Summary

### MARKEDFORSETTLE

    static final int MARKEDFORSETTLE

  Deprecated
  See Also
    Constants Summary

### PENDINGSETTLE

    static final int PENDINGSETTLE

  Deprecated
  See Also
    Constants Summary

### SETTLED

    static final int SETTLED

  Deprecated
  See Also
    Constants Summary

### FAILURE

    static final int FAILURE

  Deprecated
  See Also
    Constants Summary

### REJECTED

    static final int REJECTED

  Deprecated
  See Also
    Constants Summary

### RETRY

    static final int RETRY

  Deprecated
  See Also
    Constants Summary

### OK

    static final String OK

  Deprecated
  See Also
    Constants Summary

### EXCEPTION

    static final String EXCEPTION

  Deprecated
  See Also
    Constants Summary

### ACTION

    static final String ACTION

  Deprecated
  See Also
    Constants Summary

### ROLLBACK

    static final String ROLLBACK

  Deprecated
  See Also
    Constants Summary

### CAPTURE_ERROR

    static final String CAPTURE_ERROR

  Deprecated
  See Also
    Constants Summary

### SYSTEM_ERROR

    static final String SYSTEM_ERROR

  Deprecated
  See Also
    Constants Summary

### SERVICE_UNAVAILABLE_ERROR

    static final String SERVICE_UNAVAILABLE_ERROR

  Deprecated
  See Also
    Constants Summary

### CREDITCARD_INVALID

    static final String CREDITCARD_INVALID

  Deprecated
  See Also
    Constants Summary

### AUTHORIZATION_FAILED

    static final String AUTHORIZATION_FAILED

  Deprecated
  See Also
    Constants Summary

### CONFIGURATION_ERROR

    static final String CONFIGURATION_ERROR

  Deprecated
  See Also
    Constants Summary

### GENERAL_SERVICE_ERROR

    static final String GENERAL_SERVICE_ERROR

  Deprecated
  See Also
    Constants Summary

### SETTLE_ERROR

    static final String SETTLE_ERROR

  Deprecated
  See Also
    Constants Summary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.